{$INCLUDE Switches.inc}
unit LocalPlayer;

interface

procedure Client(Command, Player: integer; var Data); stdcall;
procedure SetAIName(p: integer; Name: string);

implementation

uses
  Term, CityScreen, Nego, BaseWin, Forms, LCLExceptionStackTrace;

var
  FormsCreated: boolean;

procedure Client(Command, Player: integer; var Data);
begin
  if not FormsCreated then
  begin
    FormsCreated := true;
    Application.CreateForm(TMainScreen, MainScreen);

  end;
  MainScreen.Client(Command, Player, Data);
end;

procedure SetAIName(p: integer; Name: string);
begin
  MainScreen.SetAIName(p, Name);
end;

initialization

FormsCreated := false;

end.
